#version 300 es

precision mediump float;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 vUV;

void main() {
    gl_Position = aPosition;
    vUV = vec2(aTextureCoord.x, 1.0 - aTextureCoord.y);
}